org.apache.maven.scm.provider.git.gitexe.command.remoteinfo

## Class GitRemoteInfoConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.git.gitexe.command.remoteinfo.GitRemoteInfoConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class GitRemoteInfoConsumer
    extends Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Bertrand Paquet

### Constructor Summary

Constructors
Constructor and Description
`GitRemoteInfoConsumer(ScmLogger logger, String commandLine)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`RemoteInfoScmResult` `getRemoteInfoScmResult()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitRemoteInfoConsumer

    public GitRemoteInfoConsumer(ScmLogger logger,
                                 String commandLine)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getRemoteInfoScmResult

    public RemoteInfoScmResult getRemoteInfoScmResult()